#### Previous topic

minimize(method=’dogleg’)

#### Next topic

minimize_scalar(method=’brent’)

# minimize(method=’trust-ncg’)

`scipy.optimize.``minimize`(fun, x0, args=(), method='trust-ncg', jac=None, hess=None, hessp=None, tol=None, callback=None, options={})

  Minimization of scalar function of one or more variables using the Newton conjugate gradient trust-region algorithm.

  See also

  For documentation for the rest of the parameters, see `scipy.optimize.minimize`

  Options:

  initial_trust_radius : float

  > Initial trust-region radius.

  max_trust_radius : float

  > Maximum value of the trust-region radius. No steps that are longer than this value will be proposed.

  eta : float

  > Trust region related acceptance stringency for proposed steps.

  gtol : float

  > Gradient norm must be less than gtol before successful termination.